export declare type Method = 'ANY' | 'CONNECT' | 'DELETE' | 'GET' | 'HEAD' | 'OPTIONS' | 'PATCH' | 'POST' | 'PUT' | 'TRACE';
export declare type KeyValue = boolean | number | string;
export interface IRequestMock {
    method: Method;
    [key: string]: unknown;
}
export interface IResponseMock {
    status: number;
    headers?: Record<string, KeyValue>;
    [key: string]: unknown;
}
export interface IWireMockMockedRequestResponse {
    id: string;
    newScenarioState?: string;
    priority?: number;
    request: IRequestMock;
    requiredScenarioState?: string;
    response: IResponseMock;
    scenarioName?: string;
    uuid: number;
}
export interface IWireMockScenario {
    scenarioName: string;
    requiredScenarioState: 'Started' | string;
    newScenarioState?: string;
}
//# sourceMappingURL=IWireMockTypes.d.ts.map