"use strict";
// Copyright (c) WarnerMedia Direct, LLC. All rights reserved. Licensed under the MIT license.
// See the LICENSE file for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWireMockResponse = void 0;
function createWireMockResponse(response, features) {
    var _a;
    const { body, headers, status } = response;
    const mockedResponse = {
        status,
    };
    const bodyType = (_a = features === null || features === void 0 ? void 0 : features.responseBodyType) !== null && _a !== void 0 ? _a : "jsonBody" /* Default */;
    if (body) {
        mockedResponse[bodyType] = body;
    }
    if (headers) {
        mockedResponse.headers = {
            ...(bodyType === "jsonBody" /* Default */ && {
                'Content-Type': 'application/json; charset=utf-8',
            }),
            ...headers,
        };
    }
    return mockedResponse;
}
exports.createWireMockResponse = createWireMockResponse;
//# sourceMappingURL=ResponseModel.js.map